# -*- coding: utf-8 -*-
from ControlSystemLib import ControlSystem

LIBRARY_TYPE = "TRANSLATOR"

ATTRIBUTES = {
    "double_scalar": "ken:20000/test/device/1/double_scalar|R/W double scalar attribute|print test_dev.double_scalar<br>test_dev.double_scalar=5.3",
}

ATTRIBUTES_READONLY = {
    "wave": "ken:20000/test/device/1/wave|Read wave spectrum attribute|print test_dev.wave",
    "short_image": "ken:20000/test/device/1/short_image_ro|Read short_image attribute|print test_dev.short_image"
}

COMMANDS = {
    "Status": "ken:20000/test/device/1->Status|Reads Tango Status|print test_dev.Status()"
}

################################################################################
####                DO NOT CHANGE LINES BELOW PLEASE                        ####
################################################################################

cs = ControlSystem(ATTRIBUTES,ATTRIBUTES_READONLY,COMMANDS)

for item in ATTRIBUTES:
    cmd = item + " = " + "cs." + item
    exec cmd

for item in ATTRIBUTES_READONLY:
    cmd = item + " = " + "cs." + item
    exec cmd

for item in COMMANDS:
    cmd = item + " = " + "cs." + item
    exec cmd

if __name__ == "__main__":
    print Status()

