# -*- coding: utf-8 -*-
"""
Created on Fri Mar 15 11:05:41 2013

@author: rob
"""
import os, sys, imp

if (os.environ.get('DONKIPY_LIBPATH')):
    dirname = os.environ.get('DONKIPY_LIBPATH')
    sys.path.append(dirname)
    #
    modules_to_import = []
    macros_to_import = []
    #
    mod_files = [x for x in os.listdir(dirname) if x.endswith('.py')]
    for filename in mod_files:
        filepath = dirname + '/' + filename
        mod_name,file_ext = os.path.splitext(os.path.split(filepath)[-1])
        if file_ext.lower() == '.py' and (mod_name != __name__) :
            py_mod = imp.load_source(mod_name, filepath)
            if hasattr(py_mod, 'LIBRARY_TYPE'):
                if (py_mod.LIBRARY_TYPE == 'TRANSLATOR'):
                    modules_to_import.append(mod_name)
                if (py_mod.LIBRARY_TYPE == 'MACRO'):
                    macros_to_import.append(mod_name)
    #
    for mod_name in modules_to_import:
        cmd = "from " + mod_name+ " import cs as "+ mod_name
        exec cmd
    #
    for mod_name in macros_to_import:
        cmd = "import "+ mod_name + " as " + mod_name
        exec( cmd )

